## gtksourceview4 4.6.0

=== meson_options.txt ===
option('glade_catalog',
       type: 'boolean', value: false,
       description: 'Whether to install Glade catalog')

option('install_tests',
       type: 'boolean', value: false,
       description: 'Install test programs')

option('gir',
       type: 'boolean', value: true,
       description: 'Generate gir data (requires gobject-introspection)')

option('vapi',
       type: 'boolean', value: true,
       description: 'Generate vapi data (requires vapigen)')

option('gtk_doc',
       type: 'boolean', value: false,
       description: 'Build reference manual (requires gtk-doc)')

## gtksourceview4 4.0.1

=== debian/changelog ===
gtksourceview4 (4.0.1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.1.4
  * Add Breaks/Replaces against libgtksourceview-3.0-dev since
    libgtksourceview-4-dev now ships the Glade catalog (Closes: #879909)
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Mon, 14 May 2018 17:22:19 -0400

gtksourceview4 (4.0.0-1) experimental; urgency=medium

  * New upstream release (Closes: #876066)
  * Update Vcs fields for migration to https://salsa.debian.org/

 -- Tim Lunn <tim@feathertop.org>  Sun, 11 Mar 2018 11:53:30 +1100

gtksourceview4 (3.99.7-1) experimental; urgency=medium

  * New upstream release
  * debian/libgtksourceview-4-0.symbols: Update
  * Update Vcs fields for conversion to git
  * Add debian/gbp.conf
  * Bump Standards-Version to 4.1.2

 -- Jeremy Bicha <jbicha@debian.org>  Wed, 13 Dec 2017 10:28:25 -0500

gtksourceview4 (3.99.6-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 15 Oct 2017 08:08:35 -0400

gtksourceview4 (3.99.5-1) experimental; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.1.1

 -- Jeremy Bicha <jbicha@debian.org>  Fri, 13 Oct 2017 22:56:36 -0400

gtksourceview4 (3.99.4-1) experimental; urgency=medium

  * New upstream release (Closes: #873970)
    - gtksourceview4 is for gtk3, gtksourceview5 is planned for gtk4

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 02 Sep 2017 15:54:57 -0400

gtksourceview3 (3.24.3-1) unstable; urgency=medium

  * New upstream release
  * debian/libgtksourceview-3.0-1.symbols: Add new symbols

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 28 Aug 2017 21:59:46 -0400

gtksourceview3 (3.22.2-1) unstable; urgency=medium

  [ Jeremy Bicha ]
  * Update debian/watch to only look for stable 3.* series

  [ Michael Biebl ]
  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Mon, 09 Jan 2017 01:17:18 +0100

gtksourceview3 (3.22.1-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Sun, 06 Nov 2016 20:25:32 +0100

gtksourceview3 (3.22.0-1) unstable; urgency=medium

  * New upstream release.
  * Bump debhelper compat level to 10.

 -- Michael Biebl <biebl@debian.org>  Sun, 18 Sep 2016 19:13:26 +0200

gtksourceview3 (3.21.6-1) unstable; urgency=medium

  * New upstream release.
  * Use dh_install --list-missing to show uninstalled files.
  * Generate the gtk-doc documentation during build. Add necessary -doc
    packages to Build-Depends-Indep for proper cross-references. Also add
    those to Suggests of libgtksourceview-3.0-doc.

 -- Michael Biebl <biebl@debian.org>  Sat, 10 Sep 2016 14:11:35 +0200

gtksourceview3 (3.21.5-2) unstable; urgency=medium

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Thu, 01 Sep 2016 13:18:47 +0200

gtksourceview3 (3.21.5-1) experimental; urgency=medium

  * New upstream development release.
  * Update debian/libgtksourceview-3.0-1.symbols with many additions.

 -- Andreas Henriksson <andreas@fatal.se>  Sun, 21 Aug 2016 22:47:01 +0200

gtksourceview3 (3.20.4-1) unstable; urgency=medium

  * New upstream release.
  * Convert from cdbs to dh.

 -- Michael Biebl <biebl@debian.org>  Thu, 23 Jun 2016 01:42:05 +0200

gtksourceview3 (3.20.3-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Mon, 09 May 2016 13:07:30 +0200

gtksourceview3 (3.20.2-1) unstable; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 3.9.8.

 -- Michael Biebl <biebl@debian.org>  Wed, 27 Apr 2016 01:49:56 +0200

gtksourceview3 (3.20.1-2) unstable; urgency=medium

  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Sat, 16 Apr 2016 23:31:19 +0200

gtksourceview3 (3.20.1-1) experimental; urgency=medium

  * New upstream release.
  * Update (build-)dependencies according to configure.ac changes:
    - Bump libgtk-3-dev to >= 3.19.6
    - Bump gtk-doc-tools to >= 1.25
    - Bump libglib2.0-dev to >= 2.47.0
  * Update debian/libgtksourceview-3.0-1.symbols with several additions.
  * Bump Standards-Version to 3.9.7

 -- Andreas Henriksson <andreas@fatal.se>  Fri, 01 Apr 2016 16:10:09 +0200

gtksourceview3 (3.18.2-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Thu, 14 Jan 2016 22:36:59 +0100

gtksourceview3 (3.18.1-1) unstable; urgency=medium

  * New upstream release.

 -- Michael Biebl <biebl@debian.org>  Sun, 11 Oct 2015 15:47:49 +0200

gtksourceview3 (3.18.0-1) unstable; urgency=medium

  * New upstream release.
  * Update build-dependencies according to configure.ac changes:
    - bump gtk-doc-tools to >= 1.24
  * Update debian/libgtksourceview-3.0-1.symbols with many additions.

 -- Andreas Henriksson <andreas@fatal.se>  Tue, 22 Sep 2015 13:17:14 +0200

gtksourceview3 (3.16.1-1) unstable; urgency=medium

  * New upstream release.
  * Update Build-Depends as per configure.ac:
    - Bump libgtk-3-dev to (>= 3.16).
    - Bump libglib2.0-dev to (>= 2.44).
  * Point Vcs-* URLs to the unstable branch.
  * Drop obsolete Breaks/Replaces from pre-wheezy.
  * Update symbols file with new API additions.

 -- Michael Biebl <biebl@debian.org>  Sun, 14 Jun 2015 19:48:35 +0200

gtksourceview3 (3.14.4-2) unstable; urgency=medium

  * Upload to unstable.
  * Bump debhelper compatibility level to 9.

 -- Michael Biebl <biebl@debian.org>  Wed, 20 May 2015 02:39:09 +0200

gtksourceview3 (3.14.4-1) experimental; urgency=medium

  * New upstream release 3.14.4
    + Fix a crash when destroying the widget during a search
    + Various other bug fixes
  * debian/patches: Drop patch which is applied upstream now.

 -- Iain Lane <laney@debian.org>  Wed, 08 Apr 2015 15:50:15 +0100

gtksourceview3 (3.14.3-1) experimental; urgency=medium

  [ Jackson Doak ]
  * New upstream release. LP: #1423016
    + Resolves crash in completion in gedit's 'snippets' plugin. (LP:
      #1428333)
  * Add git_fix_height_parameter.patch. Fix a typo saying width is height.



=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
#
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.
Source: gtksourceview4
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
Build-Depends: debhelper (>= 10),
               gnome-pkg-tools (>= 0.7),
               gtk-doc-tools (>= 1.25) <!nodoc>,
               libgtk-3-dev (>= 3.19.6),
               libatk1.0-dev (>= 1.32),
               libxml2-dev (>= 2.6),
               libxml2-utils,
               intltool (>= 0.40),
               libglib2.0-dev (>= 2.47.0),
               libgladeui-dev (>= 3.9),
               gobject-introspection (>= 0.9.12-4~),
               libgirepository1.0-dev (>= 0.9.0),
               valac
Build-Depends-Indep: libglib2.0-doc <!nodoc>,
                     libgtk-3-doc <!nodoc>,
                     libgdk-pixbuf2.0-doc <!nodoc>,
                     libpango1.0-doc <!nodoc>
Standards-Version: 4.1.4
Vcs-Browser: https://salsa.debian.org/gnome-team/gtksourceview4
Vcs-Git: https://salsa.debian.org/gnome-team/gtksourceview4.git
Homepage: https://wiki.gnome.org/Projects/GtkSourceView

Package: libgtksourceview-4-0
Architecture: any
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends},
         ${shlibs:Depends},
         libgtksourceview-4-common (>= ${source:Version})
Description: shared libraries for the GTK+ syntax highlighting widget
 GtkSourceView is a text widget that extends the standard GTK+ 3.x text widget
 GtkTextView. It improves GtkTextView by implementing syntax highlighting and
 other features typical of a source editor.
 .
 This package contains the shared libraries required by applications to use
 this widget.

Package: libgtksourceview-4-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: common files for the GTK+ syntax highlighting widget
 GtkSourceView is a text widget that extends the standard GTK+ 3.x text widget
 GtkTextView. It improves GtkTextView by implementing syntax highlighting and
 other features typical of a source editor.
 .
 This package contains the language specifications files for Ada, C, C++, C#,
 CSS, ".desktop", ".diff" (patch), Fortran 95, GtkRC, Haskell, HTML, IDL,
 ".ini", Java, JavaScript, LaTeX, Lua, MSIL, Nemerle, Pascal, Perl, PHP, ".po"
 (gettext), Python, R, Ruby, sh, SQL, Tcl, Texinfo, VB.NET, Verilog, VHDL and
 XML.

Package: libgtksourceview-4-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         libgtksourceview-4-0 (= ${binary:Version}),
         gir1.2-gtksource-4 (= ${binary:Version}),
         libgtk-3-dev (>= 3.19.6),
         libxml2-dev (>= 2.6.0)
Breaks: libgtksourceview-3.0-dev (<< 3.24.7-2~)
Replaces: libgtksourceview-3.0-dev (<< 3.24.7-2~)
Suggests: libgtksourceview-4-doc
Description: development files for the GTK+ syntax highlighting widget
 GtkSourceView is a text widget that extends the standard GTK+ 3.x text widget
 GtkTextView. It improves GtkTextView by implementing syntax highlighting and
 other features typical of a source editor.
 .
 This package contains the header files required if you wish to develop
 software that uses the GtkSourceView widget.

Package: libgtksourceview-4-doc
Section: doc
Build-Profiles: <!nodoc>
Architecture: all
Depends: ${misc:Depends}
Suggests: devhelp,
          libglib2.0-doc,
          libgtk-3-doc,
          libgdk-pixbuf2.0-doc,
          libpango1.0-doc
Description: documentation for the GTK+ syntax highlighting widget
 GtkSourceView is a text widget that extends the standard GTK+ 3.x text widget
 GtkTextView. It improves GtkTextView by implementing syntax highlighting and
 other features typical of a source editor.
 .
 This package contains the GtkSourceView reference manual.

Package: gir1.2-gtksource-4
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends},
         ${gir:Depends}
Description: gir files for the GTK+ syntax highlighting widget
 GtkSourceView is a text widget that extends the standard GTK+ 3.x text widget
 GtkTextView. It improves GtkTextView by implementing syntax highlighting and
 other features typical of a source editor.
 .
 This package contains GObject introspection information.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed

ifneq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
	DOC_FLAGS += --disable-gtk-doc
else
	DOC_FLAGS += --enable-gtk-doc
endif

%:
	dh $@ --with gnome,gir

override_dh_autoreconf:
	dh_autoreconf --as-needed

override_dh_auto_configure:
	dh_auto_configure -- \
		--enable-static \
		--enable-glade-catalog \
		$(DOC_FLAGS)

override_dh_install:
	find debian -name '*.la' -print -delete
	dh_install --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

override_dh_auto_test:
	$(MAKE) -C data/language-specs check

## gtksourceview4 4.0.3

=== debian/changelog ===
gtksourceview4 (4.0.3-2) unstable; urgency=medium

  * Build-Depend on debhelper-compat 12 and drop debian/compat
  * Add -Wl,-O1 to our LDFLAGS
  * Bump Standards-Version to 4.3.0

 -- Jeremy Bicha <jbicha@debian.org>  Tue, 25 Dec 2018 21:00:23 -0500

gtksourceview4 (4.0.3-1) unstable; urgency=medium

  * New upstream release
  * Run all the build tests. Use xvfb.
  * Bump debhelper compat to 11
  * Bump Standards-Version to 4.2.1

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 08 Sep 2018 19:33:25 -0400

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
 Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 12),
                gnome-pkg-tools (>= 0.7),
                gtk-doc-tools (>= 1.25) <!nodoc>,
                libgtk-3-dev (>= 3.19.6),
@@ -19,12 +19,14 @@
                libgladeui-dev (>= 3.9),
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev (>= 0.9.0),
-               valac
+               valac,
+               xauth <!nocheck>,
+               xvfb <!nocheck>
 Build-Depends-Indep: libglib2.0-doc <!nodoc>,
                      libgtk-3-doc <!nodoc>,
                      libgdk-pixbuf2.0-doc <!nodoc>,
                      libpango1.0-doc <!nodoc>
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/gtksourceview4
 Vcs-Git: https://salsa.debian.org/gnome-team/gtksourceview4.git
 Homepage: https://wiki.gnome.org/Projects/GtkSourceView

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
-export DEB_LDFLAGS_MAINT_APPEND = -Wl,-z,defs -Wl,--as-needed
+export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed
 
 ifneq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
 	DOC_FLAGS += --disable-gtk-doc
@@ -23,10 +23,13 @@
 
 override_dh_install:
 	find debian -name '*.la' -print -delete
-	dh_install --fail-missing
+	dh_install
+
+override_dh_missing:
+	dh_missing --fail-missing
 
 override_dh_makeshlibs:
 	dh_makeshlibs -- -c4
 
 override_dh_auto_test:
-	$(MAKE) -C data/language-specs check
+	xvfb-run -a dh_auto_test

## gtksourceview4 4.2.0

=== debian/changelog ===
gtksourceview4 (4.2.0-1) experimental; urgency=medium

  * New upstream release

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 16 Mar 2019 17:40:25 -0400

## gtksourceview4 4.4.0

=== debian/changelog ===
gtksourceview4 (4.4.0-1) unstable; urgency=medium

  * New upstream release, remove patch included in the new version
  * debian/control.in:
    - build-depends on libfribidi-dev
    - updated glib and gtk requirements
  * debian/libgtksourceview-4-0.symbols:;
    - new version update

 -- Sebastien Bacher <seb128@ubuntu.com>  Tue, 10 Sep 2019 15:23:53 +0200

gtksourceview4 (4.3.1-2) experimental; urgency=medium

  * Correctly commit the .install change

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 14 Aug 2019 16:48:17 +0200

gtksourceview4 (4.3.1-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in:
    - Build-Depends on meson
  * debian/libgtksourceview-4-dev:
    - don't list the .a to install, meson doesn't create one
  * debian/patches/git_dtd_validation.patch:
    - backport an upstream patch to skip dtd validation, it's currently
      buggy and likely due to glade
  * debian/rules:
    - build without autoreconf, drop dh_autoreconf and dh_install/ overrides,
      those are not needed anymore when building without autools
    - don't build with -Wl,-Bsymbolic-functions otherwise tests fail on
      'cannot register existing type 'GtkSourceStyleScheme'' errors
    - updated build flag to the meson syntax

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 14 Aug 2019 13:43:00 +0200

## gtksourceview4 4.6.0

=== debian/changelog ===
gtksourceview4 (4.6.0-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@debian.org>  Tue, 10 Mar 2020 13:30:31 +0100

gtksourceview4 (4.5.91-1) experimental; urgency=medium

  * New upstream release
  * debian/libgtksourceview-4-0.docs:
    - updated for the new README naming

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 19 Feb 2020 10:37:45 +0100

=== debian/control ===
--- 
+++ 
@@ -9,13 +9,15 @@
 Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 12),
                gnome-pkg-tools (>= 0.7),
+               meson (>= 0.49),
                gtk-doc-tools (>= 1.25) <!nodoc>,
-               libgtk-3-dev (>= 3.19.6),
+               libgtk-3-dev (>= 3.22),
                libatk1.0-dev (>= 1.32),
+               libfribidi-dev,
                libxml2-dev (>= 2.6),
                libxml2-utils,
                intltool (>= 0.40),
-               libglib2.0-dev (>= 2.47.0),
+               libglib2.0-dev (>= 2.48.0),
                libgladeui-dev (>= 3.9),
                gobject-introspection (>= 0.9.12-4~),
                libgirepository1.0-dev (>= 0.9.0),

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs -Wl,--as-needed

# needed with the Ubuntu toolchain to avoid issues
export DEB_LDFLAGS_MAINT_STRIP := -Wl,-Bsymbolic-functions

ifneq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
	DOC_FLAGS += -Dgtk_doc=false
else
	DOC_FLAGS += -Dgtk_doc=true
endif

%:
	dh $@ --with gnome,gir --without autoreconf

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dglade_catalog=true \
		$(DOC_FLAGS)

override_dh_missing:
	dh_missing --fail-missing

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

override_dh_auto_test:
	xvfb-run -a dh_auto_test

## gtksourceview4 4.8.0

=== debian/changelog ===
gtksourceview4 (4.8.0-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 16 Sep 2020 13:25:06 +0200

gtksourceview4 (4.7.90-1) experimental; urgency=medium

  * New upstream release
  * debian/control.in:
    - updated gtk requirement

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 10 Aug 2020 16:30:21 +0200

gtksourceview4 (4.6.1-1) unstable; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 27 Jul 2020 16:37:30 +0200

=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                gnome-pkg-tools (>= 0.7),
                meson (>= 0.49),
                gtk-doc-tools (>= 1.25) <!nodoc>,
-               libgtk-3-dev (>= 3.22),
+               libgtk-3-dev (>= 3.24),
                libatk1.0-dev (>= 1.32),
                libfribidi-dev,
                libxml2-dev (>= 2.6),

=== debian/rules ===
--- 
+++ 
@@ -27,4 +27,4 @@
 	dh_makeshlibs -- -c4
 
 override_dh_auto_test:
-	xvfb-run -a dh_auto_test
+	NO_AT_BRIDGE=1 xvfb-run -a dh_auto_test

=== debian/watch ===
version=4
https://download.gnome.org/sources/gtksourceview/([\d\.]+[02468])/ \
	gtksourceview@ANY_VERSION@\.tar\.xz

## gtksourceview4 4.8.1

=== debian/changelog ===
gtksourceview4 (4.8.1-1) experimental; urgency=medium

  * New upstream release

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 15 Mar 2021 10:13:56 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Michael Biebl <biebl@debian.org>, Tim Lunn <tim@feathertop.org>
+Uploaders: Jeremy Bicha <jbicha@debian.org>, Sebastien Bacher <seb128@debian.org>, Tim Lunn <tim@feathertop.org>
 Build-Depends: debhelper-compat (= 12),
                gnome-pkg-tools (>= 0.7),
                meson (>= 0.49),

## gtksourceview4 4.8.2

=== debian/changelog ===
gtksourceview4 (4.8.2-1) unstable; urgency=medium

  * New upstream release
  * Drop all patches: applied in new release
  * debian/rules: Set export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

 -- Jeremy Bicha <jbicha@debian.org>  Thu, 09 Sep 2021 19:34:20 -0400

gtksourceview4 (4.8.1-4) unstable; urgency=medium

  * Team upload
  * d/p/build-ensure-access-to-resources-in-corelib-build.patch:
    Add patch from upstream git to avoid FTBFS seen on s390x.
    Thanks to Adrian Bunk

 -- Simon McVittie <smcv@debian.org>  Mon, 30 Aug 2021 19:03:59 +0100

gtksourceview4 (4.8.1-3) unstable; urgency=medium

  * Cherry-pick build-disable-Werror-for-incompatible-pointer-types.patch

 -- Jeremy Bicha <jbicha@debian.org>  Sun, 22 Aug 2021 21:33:54 -0400

gtksourceview4 (4.8.1-2) unstable; urgency=medium

  * Bump debhelper-compat to 13
  * Build-Depend on dh-sequence-gir and dh-sequence-gnome
  * debian/rules: Drop unneeded -Wl,--as-needed
  * debian/watch: Watch for series 4 releases only
  * Release to unstable

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 21 Aug 2021 07:55:33 -0400

=== debian/control ===
--- 
+++ 
@@ -6,9 +6,10 @@
 Section: libs
 Priority: optional
 Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
-Uploaders: Jeremy Bicha <jbicha@debian.org>, Sebastien Bacher <seb128@debian.org>, Tim Lunn <tim@feathertop.org>
-Build-Depends: debhelper-compat (= 12),
-               gnome-pkg-tools (>= 0.7),
+Uploaders: Jeremy Bicha <jbicha@ubuntu.com>, Michael Biebl <biebl@debian.org>, Sebastien Bacher <seb128@debian.org>, Tim Lunn <tim@feathertop.org>
+Build-Depends: debhelper-compat (= 13),
+               dh-sequence-gir,
+               dh-sequence-gnome,
                meson (>= 0.49),
                gtk-doc-tools (>= 1.25) <!nodoc>,
                libgtk-3-dev (>= 3.24),

## gtksourceview4 4.8.3

=== debian/changelog ===
gtksourceview4 (4.8.3-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.6.0

 -- Jeremy Bicha <jbicha@ubuntu.com>  Mon, 21 Mar 2022 13:24:00 -0400

=== debian/control ===
--- 
+++ 
@@ -29,7 +29,7 @@
                      libgtk-3-doc <!nodoc>,
                      libgdk-pixbuf2.0-doc <!nodoc>,
                      libpango1.0-doc <!nodoc>
-Standards-Version: 4.3.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/gnome-team/gtksourceview4
 Vcs-Git: https://salsa.debian.org/gnome-team/gtksourceview4.git
 Homepage: https://wiki.gnome.org/Projects/GtkSourceView

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

# needed with the Ubuntu toolchain to avoid issues
export DEB_LDFLAGS_MAINT_STRIP := -Wl,-Bsymbolic-functions

ifneq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
	DOC_FLAGS += -Dgtk_doc=false
else
	DOC_FLAGS += -Dgtk_doc=true
endif

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dglade_catalog=true \
		$(DOC_FLAGS)

override_dh_auto_test:
	NO_AT_BRIDGE=1 xvfb-run -a dh_auto_test

=== debian/watch ===
version=4
https://download.gnome.org/sources/gtksourceview/(4\.[02468])/ \
	gtksourceview@ANY_VERSION@@ARCHIVE_EXT@

## gtksourceview4 4.8.4

=== debian/changelog ===
gtksourceview4 (4.8.4-8) unstable; urgency=medium

  * Remove Suggests: devhelp
  * Improve nodoc build profile handling
  * Bump Standards Version to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 06 Nov 2025 12:38:38 -0500

gtksourceview4 (4.8.4-7) unstable; urgency=medium

  * Stop building glade catalog support
  * Remove unnecessary Build-Depends: libgirepository1.0-dev

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 15 Aug 2025 13:57:05 -0400

gtksourceview4 (4.8.4-6) unstable; urgency=medium

  * Stop using debian/control.in and dh-sequence-gnome
  * Simplify nodoc profile handling
  * Update gir handling
  * Remove obsolete Breaks/Replaces
  * Fix Lintian warning for doc-base file
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Fri, 18 Apr 2025 12:33:04 -0400

gtksourceview4 (4.8.4-5) unstable; urgency=medium

  * Set build test timeout multiplier to 3 (as was done with gtksourceview5)
    (Closes: #1050818)
  * Update standards version to 4.6.2, no changes needed

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 18 Oct 2023 08:45:48 -0400

gtksourceview4 (4.8.4-4) unstable; urgency=medium

  [ Debian Janitor ]
  * Add debian/upstream/metadata

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 12 Jan 2023 18:36:44 -0500

gtksourceview4 (4.8.4-3) unstable; urgency=medium

  * debian/patches/gitlab_installed_tests.patch:
    - the logic was slightly wrong there so fix it now

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 12 Jan 2023 09:11:31 +0100

gtksourceview4 (4.8.4-2) unstable; urgency=medium

  * Try fixing autopkgtests
  * debian/tests/control, debian/tests/installed-tests:
    - use dbus-run-session to avoid dbus errors
  * debian/patches/gitlab_installed_tests.patch:
    - don't use the new specs test as an installed one

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 11 Jan 2023 17:10:27 +0100

gtksourceview4 (4.8.4-1) unstable; urgency=medium

  * New upstream release
  * Create a libgtksourceview-4-tests binary for installed tests and use
    those for autopkgtests.
  * debian/patches/git-newer-libglib.patch:
    - remove patch included in the new version

 -- Sebastien Bacher <seb128@ubuntu.com>  Fri, 04 Nov 2022 20:29:10 +0100

=== debian/control ===
Source: gtksourceview4
Section: libs
Priority: optional
Maintainer: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>,
           Sebastien Bacher <seb128@debian.org>
Build-Depends: debhelper-compat (= 13),
               dh-sequence-gir,
               gir1.2-gdk-3.0-dev,
               gir1.2-gtk-3.0-dev,
               gobject-introspection (>= 1.80),
               intltool (>= 0.40),
               libatk1.0-dev (>= 1.32),
               libfribidi-dev,
               libglib2.0-dev (>= 2.48.0),
               libgtk-3-dev (>= 3.24),
               libxml2-dev (>= 2.6),
               libxml2-utils,
               meson (>= 0.49),
               valac,
               xauth <!nocheck>,
               xvfb <!nocheck>
Build-Depends-Indep: gtk-doc-tools (>= 1.25) <!nodoc>,
                     libgdk-pixbuf2.0-doc <!nodoc>,
                     libglib2.0-doc <!nodoc>,
                     libgtk-3-doc <!nodoc>,
                     libpango1.0-doc <!nodoc>
Standards-Version: 4.7.2
Vcs-Browser: https://salsa.debian.org/gnome-team/gtksourceview4
Vcs-Git: https://salsa.debian.org/gnome-team/gtksourceview4.git
Homepage: https://wiki.gnome.org/Projects/GtkSourceView

Package: libgtksourceview-4-0
Architecture: any
Multi-Arch: same
Depends: libgtksourceview-4-common (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: shared libraries for the GTK+ syntax highlighting widget
 GtkSourceView is a text widget that extends the standard GTK+ 3.x text widget
 GtkTextView. It improves GtkTextView by implementing syntax highlighting and
 other features typical of a source editor.
 .
 This package contains the shared libraries required by applications to use
 this widget.

Package: libgtksourceview-4-common
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: common files for the GTK+ syntax highlighting widget
 GtkSourceView is a text widget that extends the standard GTK+ 3.x text widget
 GtkTextView. It improves GtkTextView by implementing syntax highlighting and
 other features typical of a source editor.
 .
 This package contains the language specifications files for Ada, C, C++, C#,
 CSS, ".desktop", ".diff" (patch), Fortran 95, GtkRC, Haskell, HTML, IDL,
 ".ini", Java, JavaScript, LaTeX, Lua, MSIL, Nemerle, Pascal, Perl, PHP, ".po"
 (gettext), Python, R, Ruby, sh, SQL, Tcl, Texinfo, VB.NET, Verilog, VHDL and
 XML.

Package: libgtksourceview-4-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libgtk-3-dev (>= 3.19.6),
         libgtksourceview-4-0 (= ${binary:Version}),
         libxml2-dev (>= 2.6.0),
         ${gir:Depends},
         ${misc:Depends}
Provides: ${gir:Provides}
Suggests: libgtksourceview-4-doc
Description: development files for the GTK+ syntax highlighting widget
 GtkSourceView is a text widget that extends the standard GTK+ 3.x text widget
 GtkTextView. It improves GtkTextView by implementing syntax highlighting and
 other features typical of a source editor.
 .
 This package contains the header files required if you wish to develop
 software that uses the GtkSourceView widget.

Package: libgtksourceview-4-doc
Section: doc
Build-Profiles: <!nodoc>
Architecture: all
Depends: ${misc:Depends}
Suggests: libgdk-pixbuf2.0-doc,
          libglib2.0-doc,
          libgtk-3-doc,
          libpango1.0-doc
Description: documentation for the GTK+ syntax highlighting widget
 GtkSourceView is a text widget that extends the standard GTK+ 3.x text widget
 GtkTextView. It improves GtkTextView by implementing syntax highlighting and
 other features typical of a source editor.
 .
 This package contains the GtkSourceView reference manual.

Package: gir1.2-gtksource-4
Section: introspection
Architecture: any
Multi-Arch: same
Depends: ${gir:Depends}, ${misc:Depends}
Description: gir files for the GTK+ syntax highlighting widget
 GtkSourceView is a text widget that extends the standard GTK+ 3.x text widget
 GtkTextView. It improves GtkTextView by implementing syntax highlighting and
 other features typical of a source editor.
 .
 This package contains GObject introspection information.

Package: libgtksourceview-4-tests
Build-Profiles: <!noinsttest>
Architecture: any
Multi-Arch: foreign
Depends: libgtksourceview-4-0 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Description: installed tests for the GTK+ syntax highlighting widget
 GtkSourceView is a text widget that extends the standard GTK+ 3.x text widget
 GtkTextView. It improves GtkTextView by implementing syntax highlighting and
 other features typical of a source editor.
 .
 This package includes tests to be used on the installed system.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

# needed with the Ubuntu toolchain to avoid issues
export DEB_LDFLAGS_MAINT_STRIP := -Wl,-Bsymbolic-functions

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- \
		-Dinstall_tests=true \
                -Dgtk_doc=$(if $(filter %-doc,$(shell dh_listpackages)),true,false)

override_dh_auto_test:
	NO_AT_BRIDGE=1 xvfb-run -a dh_auto_test -- --timeout-multiplier 3

=== debian/tests/control ===
Tests: installed-tests
Depends: at-spi2-core, dbus, gnome-desktop-testing, xauth, xvfb, @
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts="searchmode=plain, uversionmangle=s/\.(alpha|beta|rc)/~$1/, downloadurlmangle=s|cache.json||" \
https://download.gnome.org/sources/gtksourceview/cache.json \
	4.[02468]/gtksourceview-([\d.]+)@ARCHIVE_EXT@
